(function ($, Drupal, drupalSettings, window) {

  "use strict";

  /**
   * Drupal Ajax behaviours and ajax prototypes
   * @type {{attach: attach, detach: detach}}
   */
  Drupal.behaviors.animate = {
    attach: function (context, settings) {
      $('.animate__animated', context).once('anim-processed').waypoint(function (direction) {
        if (direction === 'down') {
          let anim_class_in = $(this.element).attr('data-animation');
          if (anim_class_in) {
            $(this.element).addClass(anim_class_in);
          }
        }
      }, {
        triggerOnce: true, offset: '100%'
      });
    }, detach: function (context) {
    }
  };

}(jQuery, Drupal, drupalSettings, window));
