<?php

namespace Drupal\animate;

/**
 * Provides Animate class.
 */
class Animate {

  /**
   * Return animation class.
   *
   * @return array
   *   List of available animation.
   */
  public static function getAnimationClasses(): array {
    return [
      "none" => "N/A",
      "Attention Seekers" => [
        "bounce" => "bounce",
        "flash" => "flash",
        "pulse" => "pulse",
        "rubberBand" => "rubberBand",
        "shakeX" => "shakeX",
        "shakeY" => "shakeY",
        "headShake" => "headShake",
        "swing" => "swing",
        "tada" => "tada",
        "wobble" => "wobble",
        "jello" => "jello",
        "heartBeat" => "heartBeat",
      ],
      "Back entrances" => [
        "backInDown" => "backInDown",
        "backInLeft" => "backInLeft",
        "backInRight" => "backInRight",
        "backInUp" => "backInUp",
      ],
      "Bouncing Entrances" => [
        "bounceIn" => "bounceIn",
        "bounceInDown" => "bounceInDown",
        "bounceInLeft" => "bounceInLeft",
        "bounceInRight" => "bounceInRight",
        "bounceInUp" => "bounceInUp",
      ],
      "Fading Entrances" => [
        "fadeIn" => "fadeIn",
        "fadeInDown" => "fadeInDown",
        "fadeInDownBig" => "fadeInDownBig",
        "fadeInLeft" => "fadeInLeft",
        "fadeInLeftBig" => "fadeInLeftBig",
        "fadeInRight" => "fadeInRight",
        "fadeInRightBig" => "fadeInRightBig",
        "fadeInUp" => "fadeInUp",
        "fadeInUpBig" => "fadeInUpBig",
        "fadeInTopLeft" => "fadeInTopLeft",
        "fadeInTopRight" => "fadeInTopRight",
        "fadeInBottomLeft" => "fadeInBottomLeft",
        "fadeInBottomRight" => "fadeInBottomRight",
      ],
      "Flippers" => [
        "flip" => "flip",
        "flipInX" => "flipInX",
        "flipInY" => "flipInY",
      ],
      "Lightspeed" => [
        "lightSpeedInRight" => "lightSpeedInRight",
        "lightSpeedInLeft" => "lightSpeedInLeft",
      ],
      "Rotating Entrances" => [
        "rotateIn" => "rotateIn",
        "rotateInDownLeft" => "rotateInDownLeft",
        "rotateInDownRight" => "rotateInDownRight",
        "rotateInUpLeft" => "rotateInUpLeft",
        "rotateInUpRight" => "rotateInUpRight",
      ],
      "Sliding Entrances" => [
        "slideInUp" => "slideInUp",
        "slideInDown" => "slideInDown",
        "slideInLeft" => "slideInLeft",
        "slideInRight" => "slideInRight",

      ],
      "Zoom Entrances" => [
        "zoomIn" => "zoomIn",
        "zoomInDown" => "zoomInDown",
        "zoomInLeft" => "zoomInLeft",
        "zoomInRight" => "zoomInRight",
        "zoomInUp" => "zoomInUp",
      ],
      "Specials" => [
        "hinge" => "hinge",
        "jackInTheBox" => "jackInTheBox",
        "rollIn" => "rollIn",
      ],
    ];
  }

}
